Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 653100 - app-text/goldendict depends on deprecated dev-qt/qtwebkit:5
Summary: app-text/goldendict depends on deprecated dev-qt/qtwebkit:5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Qt Bug Alias
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks: qtwebkit-removal
  Show dependency tree
 
Reported: 2018-04-13 14:29 UTC by Sébastien Monassa
Modified: 2020-12-16 23:04 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
live ebuild (goldendict-9999.ebuild,1.79 KB, text/plain)
2018-04-13 14:30 UTC, Sébastien Monassa
Details
goldendict-9999.ebuild logs (logs.zip,34.12 KB, application/zip)
2019-07-28 10:15 UTC, Oruriz
Details
goldendict-1.5.0.20190728.ebuild (goldendict-1.5.0.20190728.ebuild,1.82 KB, text/plain)
2019-07-28 10:59 UTC, Oruriz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sébastien Monassa 2018-04-13 14:29:41 UTC
Last official release 1.5-rc2 is from 26 april of 2016: 
https://github.com/goldendict/goldendict/commits/1.5.0-RC2

But development is going on : Qt5 support merged in master, QtMultimedia audio, Favorites folder, lots of fixes.

Users beg for a release:
https://github.com/goldendict/goldendict/issues/953

Anyway i'm using this live ebuild made from the in tree goldendict-1.5.0_rc2-r2 ebuild, also fixing the locales installation.

Thought it would be nice to have it in the tree.
Comment 1 Sébastien Monassa 2018-04-13 14:30:56 UTC
Created attachment 527262 [details]
live ebuild
Comment 2 Jonas Stein gentoo-dev 2018-04-14 02:38:49 UTC
We could also make a patch release on base of a specific commit ID.

Thank you for your contribution. I had a short look on the ebuild. 
Here a few ideas:

* Please test the ebuild with repoman full -x https://wiki.gentoo.org/wiki/Repoman

* KEYWORDS="amd64 x86" -> KEYWORDS="" for live ebuilds

* You do not need eutils here since EAPI=6

* the ebuild installs icons, and .desktop but does not update 
https://wiki.gentoo.org/wiki/Notes_on_ebuilds_with_GUI
https://wiki.gentoo.org/wiki/Future_EAPI/Triggers#Current_trigger_candidates
Comment 3 Andreas Sturmlechner gentoo-dev 2018-12-23 22:18:16 UTC
Unfortunately even git master still depends on Qt5WebKit, though.
Comment 4 Andreas Sturmlechner gentoo-dev 2019-04-28 11:45:59 UTC
git master has several Qt 5.12 related crashfixes, this probably justifies a snapshot as upstream appears to have lost interest in release work.

Unfortunately, today it still depends on Qt5WebKit.
Comment 5 Oruriz 2019-07-28 10:15:56 UTC
Created attachment 584902 [details]
goldendict-9999.ebuild logs

So is there any progress ?
Qt 5.12.3 is stable now. And goldendict affected by this (fixed in main tree)
 https://github.com/goldendict/goldendict/issues/1145

also, goldendict-9999 ebuild is broken
Comment 6 Oruriz 2019-07-28 10:56:32 UTC
+-line 80 


src_configure() {
+	local myconf=(./goldendict.pro)
-	local myconf=()
	use ffmpeg || myconf+=( DISABLE_INTERNAL_PLAYER=1 )

	eqmake5 "${myconf[@]}"
}


fixed ebuild for me (not sure it's correct way to make it work).
Comment 7 Oruriz 2019-07-28 10:59:55 UTC
Created attachment 584906 [details]
goldendict-1.5.0.20190728.ebuild

Updated ebuild from the latest 1.5.0_rc2-r2. And changed to make it use the today's git commit instead of the latest. 
+ EGIT_COMMIT="0f951b06a55f3a201891cf645a556e773bda5f52"
Comment 8 Andreas Sturmlechner gentoo-dev 2020-02-17 00:10:14 UTC
git master still depends on Qt5WebKit.
Comment 9 Andreas Sturmlechner gentoo-dev 2020-10-23 13:14:04 UTC
We should consider last-riting the package.
Comment 10 Larry the Git Cow gentoo-dev 2020-11-16 23:41:04 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c30a6df296ff8c6f61d949c98d658925c15d0893

commit c30a6df296ff8c6f61d949c98d658925c15d0893
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2020-11-16 23:15:01 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2020-11-16 23:40:12 +0000

    profiles: app-text/goldendict: Mask for removal
    
    See also: https://github.com/goldendict/goldendict/issues/953
    
    Bug: https://bugs.gentoo.org/653100
    Bug: https://bugs.gentoo.org/734880
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 profiles/package.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 11 Alex Efros 2020-11-17 00:43:56 UTC
Is there any good alternatives to replace it?
Comment 12 Larry the Git Cow gentoo-dev 2020-12-16 23:04:40 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4666d7d4d50b8e017b2684578d67f4dc81679c7

commit e4666d7d4d50b8e017b2684578d67f4dc81679c7
Author:     Michał Górny <mgorny@gentoo.org>
AuthorDate: 2020-12-16 22:45:01 +0000
Commit:     Michał Górny <mgorny@gentoo.org>
CommitDate: 2020-12-16 23:03:08 +0000

    app-text/goldendict: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/653100
    Signed-off-by: Michał Górny <mgorny@gentoo.org>

 app-text/goldendict/Manifest                       |   1 -
 .../files/goldendict-1.5.0-ffmpeg-4.patch          | 167 ---------------------
 .../files/goldendict-1.5.0-qt-5.11.patch           |  56 -------
 ...endict-1.5.0-qtsingleapplication-unbundle.patch |  18 ---
 app-text/goldendict/goldendict-1.5.0_rc2-r2.ebuild |  93 ------------
 app-text/goldendict/metadata.xml                   |  12 --
 profiles/package.mask                              |   5 -
 7 files changed, 352 deletions(-)